unit Unit1;

interface

uses
  Winapi.Windows, Winapi.Messages, System.SysUtils, System.Variants, System.Classes, Vcl.Graphics,
	Vcl.Controls, Vcl.Forms, Vcl.Dialogs, Vcl.StdCtrls, ppComm, ppRelatv, ppProd, ppClass, ppReport, ppDesignLayer, ppBands, ppPrnabl,
	ppStrtch, ppRichView, ppCache, ppParameter, RVScroll, RichView;

type
  TForm1 = class(TForm)
    ppReport1: TppReport;
    Button1: TButton;
    Edit1: TEdit;
    Label1: TLabel;
    ppParameterList1: TppParameterList;
    ppHeaderBand2: TppHeaderBand;
    ppDetailBand5: TppDetailBand;
    ppRichView1: TppRichView;
    ppFooterBand2: TppFooterBand;
    ppDesignLayers4: TppDesignLayers;
    ppDesignLayer4: TppDesignLayer;
		procedure Button1Click(Sender: TObject);
	private
		{ Private declarations }
	public
		{ Public declarations }
	end;

var
	Form1: TForm1;

implementation

uses
	ppPDFDevice, ppTypes;

{$R *.dfm}

procedure TForm1.Button1Click(Sender: TObject);
var
	OutputStream: TMemoryStream;
	PDFDevice: TppPDFDevice;
begin
	OutputStream := TMemoryStream.Create;
	PDFDevice := TppPDFDevice.Create(nil);
	try
		PDFDevice.Publisher := ppReport1.Publisher;
		PDFDevice.OutputStream := OutputStream;

		ppReport1.AllowPrintToFile := True;
		ppReport1.ShowPrintDialog := False;
		ppReport1.PrintToDevices;

		OutputStream.SaveToFile(Edit1.Text);
	finally
		OutputStream.Free;
		PDFDevice.Free;
	end;
end;

end.
